Package: org.gradle.tooling

## [Java] Interface CancellationToken

- Token that propagates notification that an operation should be cancelled. See CancellationTokenSource for details.

  All implementations of this interface are required to be thread safe.

  Since:
    2.1

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `boolean` | `isCancellationRequested()` Gets whether cancellation has been requested for this token.

- - ### Method Detail

    - #### public boolean isCancellationRequested()

      Gets whether cancellation has been requested for this token.

      Returns:
        Cancellation status.